#### D.15.9.3 multIdeals

Procedure from library `hodge.lib` (see hodge_lib).

Usage:
  multIdeals(f, [, eng]); f a reduced poly, eng an optional integer.

Return:
  list

Purpose:
  compute the multiplier ideals of a hypersurface .

Note:
  The value of `eng` controls the algorithm used for Groebner basis computations.
  See the `engine` procedure from dmodapp_lib for the available algorithms.

Display:
  If `printlevel`=1, progress debug messages will be printed.

Example:

    LIB "hodge.lib";
    ring R = 0,(x,y),dp;
    poly f = y^2-x^3;
    multIdeals(f);
    ==> [1]:
    ==>    [1]:
    ==>       _[1]=1
    ==>    [2]:
    ==>       5/6
    ==>    [3]:
    ==>       1
    ==> [2]:
    ==>    [1]:
    ==>       _[1]=y
    ==>       _[2]=x
    ==>    [2]:
    ==>       1
    ==>    [3]:
    ==>       1

User manual for Singular version 4.4.1, 2025, generated by texi2html.